Upload a blob
import requests
url = "https://{FUSION HOST}/api/blobs/{id}"
payload = {}
headers = {"Content-Type": "*/*"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"name": "mydriver",
"contentType": "application/java-archive",
"size": 707261,
"modifiedTime": "2017-06-09T19:00:48.919Z",
"version": 0,
"md5": "c67163ca764bfe632f28229c142131b5",
"metadata": {
"subtype": "driver:jdbc",
"drivers": "org.postgresql.Driver",
"resourceType": "driver:jdbc"
}
}Upload a blob and define its ID.
PUT
/
blobs
/
{id}
Upload a blob
import requests
url = "https://{FUSION HOST}/api/blobs/{id}"
payload = {}
headers = {"Content-Type": "*/*"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"name": "mydriver",
"contentType": "application/java-archive",
"size": 707261,
"modifiedTime": "2017-06-09T19:00:48.919Z",
"version": 0,
"md5": "c67163ca764bfe632f28229c142131b5",
"metadata": {
"subtype": "driver:jdbc",
"drivers": "org.postgresql.Driver",
"resourceType": "driver:jdbc"
}
}Headers
An optional tag to match against the specified blob.
The media type of the blob body.
The blob sub-type.
Path Parameters
The blob ID.
Pattern:
.*Query Parameters
true to commit to Solr's Blob store.
Whether to update the data, metadata, or both.
Body
*/*
The blob to store.
The body is of type object.
Response
200 - application/json
Successful operation
Was this page helpful?
⌘I